function x=posun(x,parametr)
delkapul=length(x);
x=[x; zeros(delkapul+1,1)];

X=fft(x);
X=fftshift(X);
absX=abs(X);
angleX=angle(X);
pootoceni=parametr*(-delkapul:1:delkapul)';
X=absX.*exp(j*(angleX-pootoceni));
X=ifftshift(X);
x=ifft(X);
x(delkapul+1:end)=[];
